<template>
	<gui-page :customHeader="true" :fullPage="true" :headerSets="{height:44, zIndex:100}" >
		<view slot="gHeader">
			<view class="gui-flex gui-nowrap gui-rows gui-align-items-center gui-padding">
				<!-- 使用组件实现返回按钮及返回首页按钮 -->
				<gui-header-leading :onlyBack="true"></gui-header-leading>
				<!-- 导航文本此处也可以是其他自定义内容 -->
				<text class="gui-h4 gui-ellipsis gui-text-center gui-header-content gui-primary-color">{{title}}</text>
				<!-- 如果右侧有其他内容可以利用条件编译和定位来实现-->
			</view>
		</view>
		<view slot="gBody" class="gui-margin">
			<web-view :src="url" :webview-styles="webviewStyles" @message="callback"  style="margin-top:44px;"></web-view>
		</view>
	</gui-page>
</template>

<script>
export default {
	data() {
		return {
			url: '',
			title : '',
			webviewStyles: {
				progress: {
					color: '#FF3333'
				}
			}
		};
	},
	onLoad: function(option) {
		if (option && option.name) {
			uni.setNavigationBarTitle({
				title:option.name
			});
		}
		this.url = this.Dever.data('web_view');
		this.title = this.Dever.data('web_view_title');
	},
	onShow: function() {},

	methods: {
		callback(e) {
			
		},
	}
};
</script>

<style>
</style>
